Viper’s Video Quicktags + WordPress 2.5

UPDATE #2: Try v5.4.3. I’ve heard multiple reports it’s working fine for those who tried it. Let me know.


UPDATE: I just committed version 5.4.2. Try this and see if it fixes any problems. I couldn’t reproduce any errors on demand, but I made some code improvements to hopefully fix the problem.


I updated Viper’s Video Quicktags before WordPress 2.5 came out and it was 100% compatible then. Infact, it still is fully compatible with WordPress as far as I can tell.

However! It doesn’t seem to be compatible with many other plugins out there, namely ones that use the “ButtonSnap” PHP class that allows for easy adding of buttons to the classic style editor and old versions of TinyMCE. I’m working on fixing it, but it’s hard to debug it.

Meanwhile, the following work around worked for me: click the “Deactivate All Plugins” button, activate my plugin FIRST, then activate all the other plugins.

Thanks for being patient while I sort this out.

40 thoughts on “Viper’s Video Quicktags + WordPress 2.5

  1. Hello
    I have upgrade to the last WordPress 2.5 and downloaded your plugin and now when i try to install it give me the message:
    Plugin could not be activated because it triggered a fatal error.
    I also try deactivate all plugins and try to install it first and it give me the same message

  2. Mike on April 1st, 2008 at 1:21 AM wrote:

    Hello
    I have upgrade to the last WordPress 2.5 and downloaded your plugin and now when i try to install it give me the message:
    Plugin could not be activated because it triggered a fatal error.
    I also try deactivate all plugins and try to install it first and it give me the same message

    Yup me too. I have tried deleting it, re-uploading it, and it still won’t activate.

  3. I downgraded to the version 5.4.0 and aparently it works better with WordPress 2.5 than 5.4.2 version

  4. This debug version is installed correctly, without errors , without errors, but the videos do not appear on the page. Instead it appears the link to the video.

  5. – Deactivate all plugins
    – “Plugin could not be activated because it triggered a fatal error.”
    – ๐Ÿ™

  6. This is the only plugin i have installed on 2.5 and I am not getting the buttons on the TinyMCE editor.

  7. I’m afraid I can’t get 5.4.3 to work with WordPress 2.5. Tried deactivating all and activating Viper first, but still don’t get the little icons on the Write page that I used to get in previous versions of WordPress.

  8. Just wanted to say: I don’t have any problems and your plugin is great! Thanks a lot! ๐Ÿ˜‰
    (I’m using it on 3 different blogs and none had problems after upgrading to WordPress 2.5)

  9. Joe on April 1st, 2008 at 9:53 AM wrote:

    This is the only plugin i have installed on 2.5 and I am not getting the buttons on the TinyMCE editor.

    Tim Tucker on April 1st, 2008 at 12:32 PM wrote:

    I’m afraid I can’t get 5.4.3 to work with WordPress 2.5. Tried deactivating all and activating Viper first, but still don’t get the little icons on the Write page that I used to get in previous versions of WordPress.

    Did you install the plugin correctly? Did you try deleting your browser cache? I can assure you it does indeed work.

    Newi on April 1st, 2008 at 2:43 PM wrote:

    5.4.3 don’t show videos in my blog with WP 2.5 ๐Ÿ™ only show a link:

    http://scitec.nosdom.com/?p=2400

    The Javascript file isn’t loading (click, it shows permission denied). Check your permissions.

    Matthias on April 1st, 2008 at 5:12 PM wrote:

    Just wanted to say: I don’t have any problems and your plugin is great! Thanks a lot! ๐Ÿ˜‰
    (I’m using it on 3 different blogs and none had problems after upgrading to WordPress 2.5)

    Yeah, it’s very on and off. Works for some, not for others, which is why I had a hard time debugging it.

    Thanks all! ๐Ÿ™‚

  10. First I used the upgrade option from the plugins page, which I have heard is sometimes causing problems with other plugins, so I deleted the viper folder and extracted it directly to the server. Re-enabled it (I have all my other plugins disabled) and I am still not getting any buttons in TinyMCE editor. Anything else to try?

Comments are closed.